[Haskell-cafe] ghc-mtl and ghc-7.2.1

Daniel Gorín dgorin at dc.uba.ar
Wed Sep 7 20:08:43 CEST 2011

Hi Romildo, you can try the darcs version of ghc-mtl [1], I don't know if that will be enough to build lambdabot, though


[1] http://darcsden.com/jcpetruzza/ghc-mtl

On Sep 7, 2011, at 1:34 PM, José Romildo Malaquias wrote:

> Hello.
> In order to compile ghc-mtl- (the latest released version) with
> ghc-7.2.1, I would apply the attached patch, which removes any
> references to WarnLogMonad.
> ghc-7.2.1 does not have the monad WarnLogMonad anymore.
> As I do not know the details of the GHC api, I am not sure if this is
> enough to use ghc-mtl with ghc-7.2.1.
> I want ghc-mtl in order do build lambdabot.
> Any thoughts?
> Romildo
> <ghc-mtl->_______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe at haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe

More information about the Haskell-Cafe mailing list